varying vec2 texCoord;

uniform sampler2D m_ColorMap;
uniform vec4 m_Color;
varying float my_y;

void main(){
    if( my_y < 0.0 )
        discard;

    vec4 texColor = texture2D(m_ColorMap, texCoord);
    //gl_FragColor = vec4(mix(m_Color.rgb, texColor.rgb, texColor.a), 1.0);
    float scale = my_y / 100.0;
    //gl_FragColor = texColor * m_Color * scale;
    gl_FragColor = m_Color;
    gl_FragColor.a = texColor.r * scale * m_Color.a;

}
